
Core - Bug # 63733

Bug # 63692 (Accepted): Memory consumption while bulk inserting

Status: Resolved Priority: Should have
Author: Stephan Großberndt Category: Performance
Created: 2014-12-10 Assigned To:
Updated: 2015-02-01 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: Do not call recordInfo() for new records in DataHandler->checkValue
Description

Currently DataHandler->checkValue calls

// Get current value:
$curValueRec = $this->recordInfo($table, $id, $field);
$curValue = $curValueRec[$field];

even for new records ($id = 'NEW...')

When bulk inserting 6500 records checking the id before calling recordInfo saves 5MB of RAM:

if (!(int)$id) {
    $curValue = NULL;
} else {
    // Get current value:
    $curValueRec = $this->recordInfo($table, $id, $field);
    $curValue = $curValueRec[$field];
}

Associated revisions
Revision 27842f72 - 2015-02-01 22:37 - Stephan Großberndt

[BUGFIX] Avoid to call recordInfo for new records

Avoid to call recordInfo for new records in DataHandler->checkValue by
checking the id. This improves performance for bulk inserts.

Resolves: #63733
Releases: master, 6.2
Change-Id: I02c2d282f487defe3c74d89e7041ecb8b0eae7b8
Reviewed-on: http://review.typo3.org/35237
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>

Revision b783a951 - 2015-02-01 22:45 - Stephan Großberndt

[BUGFIX] Avoid to call recordInfo for new records

Avoid to call recordInfo for new records in DataHandler->checkValue by
checking the id. This improves performance for bulk inserts.

Resolves: #63733
Releases: master, 6.2
Change-Id: I02c2d282f487defe3c74d89e7041ecb8b0eae7b8
Reviewed-on: http://review.typo3.org/36595
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2014-12-10 12:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237

#2 - 2014-12-10 17:47 - Wouter Wolters
- Parent task set to #63692

#3 - 2014-12-10 19:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237

#4 - 2015-01-10 01:30 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237

#5 - 2015-01-16 15:25 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237

#6 - 2015-01-21 16:49 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237
#7 - 2015-01-26 19:27 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35237

#8 - 2015-02-01 22:44 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36595

#9 - 2015-02-01 23:00 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:27842f7222225663dff77e10543c2c5c847680eb.
